﻿using UnityEngine;
using System.Collections;
using System;
using UnityEngine.UI;

public class timer : MonoBehaviour
{
	DateTime clock;

	string currentClock = "00:00:00";

	public bool started = false;

	public void startTimer () {
		clock = DateTime.Now;
		started = true;
	}

	public void stopTimer() {
		started = false;
	}

	// Use this for initialization
	void Start ()
	{
		//startTimer ();
	}
	
	// Update is called once per frame
	void Update ()
	{
		if (started) {
			//update the timer
			TimeSpan elapsed = DateTime.Now - clock;
			currentClock = elapsed.Minutes.ToString () + ":" + elapsed.Seconds.ToString () + ":" + elapsed.Milliseconds.ToString ();
			GetComponent<Text> ().text = currentClock;
		}

		//check for the race start key, which is spacebar
		if (Input.GetKeyDown ("space")) {
			startTimer ();
		}

		if (Input.GetKeyDown ("escape")) {
			stopTimer ();
		}

		if (Input.GetKeyDown ("=")) {
			stopTimer ();
			currentClock = "00:00:00";
		}
	}
}

